[Deprecated]: V3.0
post
/ec-dc-svc/rest/v3.0/studies/{studyId}/{mode}/subjects/randomizeordispense
Deprecated: Randomizes, dispenses or activates a subject, based on visit type, and completes the visit status. ORS dispensation or randomization is called.
Request
Path Parameters
-
mode(required): string
Mode of the study. Accepts test, active, or training.
-
studyId(required): string
ID of the study where a subject is being randomized or dispensed.
Supported Media Types
- application/json
Root Schema : Visit Request
Type:
objectTitle:
Visit RequestRequest containing subject visit details.
Show Source
-
AuthUserListDtoV1: array
AuthUserListDtoV1
-
siteId(required): string
(uuid)
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.
-
studyVersion(required): string
String representing the version of the study. Helps track changes in form or study design.Example:
1.0.0.5 -
subjectId(required): string
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
B1B8327AFAA6412287106192AB5984EF -
visitId(required): string
(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the visit
-
visitTimestamp: string
Pattern:
(\d){4}-(\d){2}-(\d){2} (\d){2}:(\d){2}:(\d){2}Visit date and timeExample:2018-11-23 08:43:01
Nested Schema : AuthUserListDtoV1
Type:
Show Source
array-
Array of:
object Parameter
Contains details about parameters of the form
Nested Schema : Parameter
Type:
objectContains details about parameters of the form
Show Source
-
formId: string
(uuid)
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.
-
itemId: string
(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the question within a form. This ID corresponds to the reference code set by the study designer when creating or updating a form question in draft mode.
-
value: string
(uuid)
Value of the item
Response
Supported Media Types
- application/json
200 Response
Success
Root Schema : VisitResult
Type:
objectTitle:
VisitResultVisit result.
Show Source
-
countOfKitTypesOnDoseHold: integer
(int32)
Title:
Count Of Kit Types On Dose HoldNumber of kit types on dose hold.Example:1 -
forcedRandomized: boolean
Title:
Forced RandomizedIndicates whether the subject was forced randomized.Example:true -
kits: array
Kits
Title:
KitsContains information for the kit dispensation. -
needsToVisitPharmacist: boolean
Title:
Needs To Visit PharmacistIndicates whether the subject needs to visit an unblinded pharmacist for kit dispensation.Example:true -
pendingKitQuantity: integer
(int32)
Title:
Pending Kit QuantityNumber of kits pending dispensation.Example:1 -
randomNumber: string
Title:
Random NumberRandom number.Example:10 -
treatmentTitle: string
Title:
Treatment TitleTreatment title.Example:A -
visitTimestamp: string
(date-time)
Title:
Visit TimestampVisit timestamp.
Nested Schema : Kits
Type:
arrayTitle:
KitsContains information for the kit dispensation.
Show Source
-
Array of:
object DispensationKit v13.0
Title:
DispensationKit v13.0Contains information for the kit dispensation.
Nested Schema : DispensationKit v13.0
Type:
objectTitle:
DispensationKit v13.0Contains information for the kit dispensation.
Show Source
-
barcode: string
Barcode.Example:
1000 -
conserved: boolean
Title:
ConservedConserved for dispensation.Example:true -
consumeAcrossDoses: boolean
Title:
Consume Across DosesIndicates whether consumption across doses is allowed.Example:true -
deviceConnection: string
Title:
Device Connection TypeAllowed Values:[ "CloudtoCloud", "DevicetoCloud", "NoConnection" ]Device connection type.Example:DevicetoCloud -
deviceType: string
Title:
Device TypeAllowed Values:[ "ActivityWatch", "BloodPressureMonitor", "WeightScale", "ECGReader", "Spirometer", "MobileApp", "SmartPillBottle", "PulseOximeter", "WearablePatch", "Other", "GlucoseMonitor" ]Device type.Example:ActivityWatch -
dispensationConfirmed: boolean
Indicates whether dispensation is confirmed.Example:
true -
dose: number
(double)
Title:
DoseDose.Example:5 -
dosingInstruction: string
Title:
Dosing InstructionDosing instruction.Example:Take one capsule daily -
dosingUnblinded: boolean
Title:
Dosing UnblindedIndicates whether dosing is unblinded.Example:true -
frequency: string
Title:
FrequencyAllowed Values:[ "Once", "QD", "BID", "TID", "QID", "Q3", "Q4", "Q8", "Q12", "Q24", "Bedtime", "With meals", "With meals and at bedtime" ]Dosing frequency.Example:BID -
groupingNumber: integer
(int32)
Title:
Grouping NumberGrouping number for a kit.Example:1 -
id: number
(Integer)
Title:
Dispensation Kit IDUnique identifier of the dispensation kit.Example:2 -
inventoryId: string
Title:
Inventory IDInventory ID.Example:D313327EF13845169A8ADADDA435431E -
kitDescription: string
Title:
Kit DescriptionKit description.Example:Kit A -
kitNumberUTF: string
Title:
Kit Number UTFKit number with UTF-8 support.Example:A-1 -
locallySourced: boolean
Title:
Locally SourcedIndicates whether the kit is locally sourced.Example:true -
lotId: string
Title:
Lot IDLot ID.Example:D313327EF13845169A8ADADDA435431E -
lotNumber: string
Title:
Lot NumberLot number.Example:LOT20240605A -
measurement: string
Title:
MeasurementDose Measurement.Example:ml -
quantity: number
(BigDecimal)
Title:
QuantityKit quantity.Example:5 -
titrationKitLabel: string
Title:
Blinded Titration LabelBlinded titration label.Example:High dose -
titrationOption: string
Title:
Titration OptionAllowed Values:[ "up", "down", "maintain" ]Titration options to dispense kits. For example: up/down/maintain.Example:up -
trialSupplyType: string
Title:
Trial Supply TypeType of the trial supply.Example:BOTTLE
400 Response
Bad request.
Root Schema : DcsResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
500 Response
Internal server error.
Root Schema : DcsResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.